## com.artofsolving.jodconverter.openoffice.converter
Class StreamOpenOfficeDocumentConverter

    java.lang.Object
      com.artofsolving.jodconverter.openoffice.converter.AbstractOpenOfficeDocumentConverter
          com.artofsolving.jodconverter.openoffice.converter.StreamOpenOfficeDocumentConverter

All Implemented Interfaces:
  DocumentConverter

    public class StreamOpenOfficeDocumentConverter

extends AbstractOpenOfficeDocumentConverter

Alternative stream-based `DocumentConverter` implementation.

This implementation passes document data to and from the OpenOffice.org service as streams.

Stream-based conversions are slower than the default file-based ones (provided by `OpenOfficeDocumentConverter`) but they allow to run the OpenOffice.org service on a different machine, or under a different system user on the same machine without file permission problems.

Warning! There is a bug in OpenOffice.org 2.2.x that causes some input formats, including Word and Excel, not to work when using stream-base conversions.

Use this implementation only if `OpenOfficeDocumentConverter` is not possible.

See Also:
  `OpenOfficeDocumentConverter`

Field Summary

Fields inherited from class com.artofsolving.jodconverter.openoffice.converter.AbstractOpenOfficeDocumentConverter
`openOfficeConnection`

Constructor Summary
`StreamOpenOfficeDocumentConverter(OpenOfficeConnection connection)`
`StreamOpenOfficeDocumentConverter(OpenOfficeConnection connection, DocumentFormatRegistry formatRegistry)`

Method Summary
`protected void` `convertInternal(java.io.File inputFile, DocumentFormat inputFormat, java.io.File outputFile, DocumentFormat outputFormat)`
`protected void` `convertInternal(java.io.InputStream inputStream, DocumentFormat inputFormat, java.io.OutputStream outputStream, DocumentFormat outputFormat)`

Methods inherited from class com.artofsolving.jodconverter.openoffice.converter.AbstractOpenOfficeDocumentConverter
`convert, convert, convert, convert, getDefaultLoadProperties, getDocumentFormatRegistry, property, refreshDocument, setDefaultLoadProperty, toPropertyValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamOpenOfficeDocumentConverter

    public StreamOpenOfficeDocumentConverter(OpenOfficeConnection connection)

### StreamOpenOfficeDocumentConverter

    public StreamOpenOfficeDocumentConverter(OpenOfficeConnection connection,
                                             DocumentFormatRegistry formatRegistry)

Method Detail

### convertInternal

    protected void convertInternal(java.io.File inputFile,
                                   DocumentFormat inputFormat,
                                   java.io.File outputFile,
                                   DocumentFormat outputFormat)

  Specified by:
    `convertInternal` in class `AbstractOpenOfficeDocumentConverter`

### convertInternal

    protected void convertInternal(java.io.InputStream inputStream,
                                   DocumentFormat inputFormat,
                                   java.io.OutputStream outputStream,
                                   DocumentFormat outputFormat)

  Specified by:
    `convertInternal` in class `AbstractOpenOfficeDocumentConverter`

Copyright © 2003-2009 Art of Solving. All Rights Reserved.